## driftnet 0.1.4

=== Makefile ===
#
# Makefile:
# Makefile for driftnet.
#
# Copyright (c) 2001 Chris Lightfoot. All rights reserved.
# Email: chris@ex-parrot.com; WWW: http://www.ex-parrot.com/~chris/
#
# $Id: Makefile,v 1.11 2001/09/11 09:33:41 chris Exp $
#

VERSION = 0.1.4

#CC = gcc

CFLAGS  += -g -Wall `gtk-config --cflags` -DDRIFTNET_VERSION='"$(VERSION)"'
LDFLAGS += -g
LDLIBS  += -lpcap -ljpeg -lungif `gtk-config --libs`

# This may or may not be necessary on your system.
CFLAGS  += -I/usr/include/pcap

SUBDIRS = 

TXTS = README TODO COPYING CHANGES CREDITS
SRCS = gif.c img.c jpeg.c png.c driftnet.c image.c display.c
HDRS = img.h driftnet.h
BINS = driftnet

OBJS = $(SRCS:.c=.o)

driftnet:   depend $(OBJS)
	$(CC) -o driftnet $(OBJS) $(LDFLAGS) $(LDLIBS)

%.o:    %.c Makefile
	$(CC) $(CFLAGS) -c -o $@ $<

clean:  nodepend
	rm -f *~ *.bak *.o core $(BINS) TAGS

tags:
	etags *.c *.h

tarball: nodepend $(SRCS) $(HDRS) $(TXTS)
	mkdir driftnet-$(VERSION)
	set -e ; for i in Makefile $(SRCS) $(HDRS) $(TXTS) ; do cp $$i driftnet-$(VERSION)/$$i ; done
	tar cvzf driftnet-$(VERSION).tar.gz driftnet-$(VERSION)
	rm -rf driftnet-$(VERSION)
	mv driftnet-$(VERSION).tar.gz ..
	

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)
	touch depend
	rm -f Makefile.bak

nodepend:
	makedepend -- --
	rm -f depend Makefile.bak

# DO NOT DELETE

## driftnet 0.1.6

=== Makefile ===
#
# Makefile:
# Makefile for driftnet.
#
# Copyright (c) 2001 Chris Lightfoot. All rights reserved.
# Email: chris@ex-parrot.com; WWW: http://www.ex-parrot.com/~chris/
#
# $Id: Makefile,v 1.34 2002/07/09 17:30:42 chris Exp $
#

#
# User-serviceable parts:
#

# Compiler to use.
#CC = gcc

# Basic compiler, linker flags; should not need any changes.
CFLAGS += -g -Wall
LDFLAGS += -g

# You might need these if libpcap is installed somewhere random.
CFLAGS += -I/usr/include/pcap
#LDFLAGS += -L/path/to/libpcap.so

# Required on Linux to get BSDish definitions of the TCP/IP structs.
CFLAGS += -D_BSD_SOURCE

# We always need the pcap and pthread libraries.
LDLIBS += -lpcap -lpthread

# Optional C compiler and linker flags. Typical driftnet builds have support
# for displaying captured images in an X window, and need the following flags:
CFLAGS  += `gtk-config --cflags`
LDLIBS  += -ljpeg -lungif `gtk-config --libs`

# Alternatively, you can build a version of driftnet which can only be used
# in `adjunct' mode as the back end for some other image-processing program. To
# use this, comment out the two preceding CFLAGS and LDLIBS lines and uncomment
# the following line:
#CFLAGS += -DNO_DISPLAY_WINDOW

# On systems with a C99 compiler, driftnet will use <stdint.h> for the
# definitions of types such as uint8_t. On other systems like Solaris, these
# are in <sys/types.h>, and you should uncomment this line.
#CFLAGS += -DUSE_SYS_TYPES_H

# On Solaris, it is necessary to link against -lposix4 for the definition of
# nanosleep; uncomment the below.
#LDLIBS  += -lposix4

# added 20020604 edobbs
# On BSD systems, may need to use /usr/local/include
#CFLAGS += -I/usr/local/include


#
# No user-serviceable parts below this point.
#

# Driftnet version.
VERSION = 0.1.6
CFLAGS += -DDRIFTNET_VERSION='"$(VERSION)"'

SUBDIRS = 

TXTS = README TODO COPYING CHANGES CREDITS driftnet.1 driftnet.1.in endian.c
SRCS = audio.c mpeghdr.c gif.c img.c jpeg.c png.c driftnet.c image.c \
       display.c playaudio.c connection.c media.c
HDRS = img.h driftnet.h mpeghdr.h
BINS = driftnet

OBJS = $(SRCS:.c=.o)

default: driftnet driftnet.1

driftnet:   depend $(OBJS)
	$(CC) -o driftnet $(OBJS) $(LDFLAGS) $(LDLIBS)

driftnet.1: driftnet.1.in Makefile
	( echo '.\" DO NOT EDIT THIS FILE-- edit driftnet.1.in instead' ; sed s/@@@VERSION@@@/$(VERSION)/ ) < driftnet.1.in > driftnet.1

endianness: endian
	./endian > endianness

endian: endian.c
	$(CC) $(CFLAGS) -o endian endian.c

%.o:    %.c Makefile endianness
	$(CC) $(CFLAGS) `cat endianness` -c -o $@ $<

clean:  nodepend
	rm -f *~ *.bak *.o core $(BINS) TAGS driftnet.1 endian endianness

tags:
	etags *.c *.h

tarball: nodepend $(SRCS) $(HDRS) $(TXTS)
	mkdir driftnet-$(VERSION)
	set -e ; for i in Makefile $(SRCS) $(HDRS) $(TXTS) ; do cp $$i driftnet-$(VERSION)/$$i ; done
	tar cvzf driftnet-$(VERSION).tar.gz driftnet-$(VERSION)
	rm -rf driftnet-$(VERSION)
	mv driftnet-$(VERSION).tar.gz ..
	
depend: endianness
	makedepend -- $(CFLAGS) `cat endianness` -- $(SRCS)
	touch depend
	rm -f Makefile.bak

nodepend:
	makedepend -- --
	rm -f depend Makefile.bak

# DO NOT DELETE

## driftnet 0.1.6+cvs20040426

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Copyright (c) 2001 Chris Lightfoot. All rights reserved.
 # Email: chris@ex-parrot.com; WWW: http://www.ex-parrot.com/~chris/
 #
-# $Id: Makefile,v 1.34 2002/07/09 17:30:42 chris Exp $
+# $Id: Makefile,v 1.41 2004/04/26 14:42:36 chris Exp $
 #
 
 #
@@ -22,17 +22,20 @@
 # You might need these if libpcap is installed somewhere random.
 CFLAGS += -I/usr/include/pcap
 #LDFLAGS += -L/path/to/libpcap.so
+# On Mac OS X with Fink etc., try these:
+#CFLAGS += -I/usr/include/pcap -I/sw/include -I/opt/local/include
+#LDFLAGS += -L/opt/local/lib/
 
 # Required on Linux to get BSDish definitions of the TCP/IP structs.
 CFLAGS += -D_BSD_SOURCE
 
 # We always need the pcap and pthread libraries.
-LDLIBS += -lpcap -lpthread
+LDLIBS += -lpcap -lpthread #-lefence
 
 # Optional C compiler and linker flags. Typical driftnet builds have support
 # for displaying captured images in an X window, and need the following flags:
-CFLAGS  += `gtk-config --cflags`
-LDLIBS  += -ljpeg -lungif `gtk-config --libs`
+CFLAGS  += `pkg-config --cflags gtk+-2.0`
+LDLIBS  += -ljpeg -lungif -lpng `pkg-config --libs gtk+-2.0`
 
 # Alternatively, you can build a version of driftnet which can only be used
 # in `adjunct' mode as the back end for some other image-processing program. To
@@ -49,7 +52,6 @@
 # nanosleep; uncomment the below.
 #LDLIBS  += -lposix4
 
-# added 20020604 edobbs
 # On BSD systems, may need to use /usr/local/include
 #CFLAGS += -I/usr/local/include
 
@@ -66,7 +68,7 @@
 
 TXTS = README TODO COPYING CHANGES CREDITS driftnet.1 driftnet.1.in endian.c
 SRCS = audio.c mpeghdr.c gif.c img.c jpeg.c png.c driftnet.c image.c \
-       display.c playaudio.c connection.c media.c
+       display.c playaudio.c connection.c media.c util.c http.c
 HDRS = img.h driftnet.h mpeghdr.h
 BINS = driftnet
 
@@ -80,17 +82,17 @@
 driftnet.1: driftnet.1.in Makefile
 	( echo '.\" DO NOT EDIT THIS FILE-- edit driftnet.1.in instead' ; sed s/@@@VERSION@@@/$(VERSION)/ ) < driftnet.1.in > driftnet.1
 
-endianness: endian
-	./endian > endianness
+endianness.h: endian
+	./endian > endianness.h
 
 endian: endian.c
 	$(CC) $(CFLAGS) -o endian endian.c
 
-%.o:    %.c Makefile endianness
-	$(CC) $(CFLAGS) `cat endianness` -c -o $@ $<
+%.o:    %.c Makefile endianness.h
+	$(CC) $(CFLAGS) -c -o $@ $<
 
 clean:  nodepend
-	rm -f *~ *.bak *.o core $(BINS) TAGS driftnet.1 endian endianness
+	rm -f *~ *.bak *.o core $(BINS) TAGS driftnet.1 endian endianness.h
 
 tags:
 	etags *.c *.h
@@ -102,7 +104,7 @@
 	rm -rf driftnet-$(VERSION)
 	mv driftnet-$(VERSION).tar.gz ..
 	
-depend: endianness
+depend: endianness.h
 	makedepend -- $(CFLAGS) `cat endianness` -- $(SRCS)
 	touch depend
 	rm -f Makefile.bak
@@ -112,3 +114,146 @@
 	rm -f depend Makefile.bak
 
 # DO NOT DELETE
+
+audio.o: /usr/include/string.h /usr/include/features.h
+audio.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
+audio.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h driftnet.h
+audio.o: /usr/include/sys/types.h /usr/include/bits/types.h
+audio.o: /usr/include/time.h /usr/include/endian.h /usr/include/bits/endian.h
+audio.o: /usr/include/sys/select.h /usr/include/bits/select.h
+audio.o: /usr/include/bits/sigset.h /usr/include/bits/time.h
+audio.o: /usr/include/sys/sysmacros.h /usr/include/sys/socket.h
+audio.o: /usr/include/sys/uio.h /usr/include/bits/uio.h
+audio.o: /usr/include/bits/socket.h /usr/include/limits.h
+audio.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/limits.h
+audio.o: /usr/include/bits/sockaddr.h /usr/include/asm/socket.h
+audio.o: /usr/include/asm/sockios.h /usr/include/netinet/in.h
+audio.o: /usr/include/stdint.h /usr/include/bits/wchar.h
+audio.o: /usr/include/bits/wordsize.h /usr/include/bits/in.h
+audio.o: /usr/include/bits/byteswap.h /usr/include/arpa/inet.h
+audio.o: /usr/include/sys/time.h /usr/include/stdio.h /usr/include/libio.h
+audio.o: /usr/include/_G_config.h /usr/include/wchar.h /usr/include/gconv.h
+audio.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+audio.o: /usr/include/bits/stdio_lim.h mpeghdr.h
+mpeghdr.o: /usr/include/stdio.h /usr/include/features.h
+mpeghdr.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
+mpeghdr.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h
+mpeghdr.o: /usr/include/bits/types.h /usr/include/libio.h
+mpeghdr.o: /usr/include/_G_config.h /usr/include/wchar.h
+mpeghdr.o: /usr/include/bits/wchar.h /usr/include/gconv.h
+mpeghdr.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+mpeghdr.o: /usr/include/bits/stdio_lim.h mpeghdr.h /usr/include/stdint.h
+mpeghdr.o: /usr/include/bits/wordsize.h
+gif.o: /usr/include/gif_lib.h img.h /usr/include/stdint.h
+gif.o: /usr/include/features.h /usr/include/sys/cdefs.h
+gif.o: /usr/include/gnu/stubs.h /usr/include/bits/wchar.h
+gif.o: /usr/include/bits/wordsize.h /usr/include/stdio.h
+gif.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h
+gif.o: /usr/include/bits/types.h /usr/include/libio.h
+gif.o: /usr/include/_G_config.h /usr/include/wchar.h /usr/include/gconv.h
+gif.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+gif.o: /usr/include/bits/stdio_lim.h endianness.h
+img.o: /usr/include/stdio.h /usr/include/features.h /usr/include/sys/cdefs.h
+img.o: /usr/include/gnu/stubs.h
+img.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h
+img.o: /usr/include/bits/types.h /usr/include/libio.h
+img.o: /usr/include/_G_config.h /usr/include/wchar.h
+img.o: /usr/include/bits/wchar.h /usr/include/gconv.h
+img.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+img.o: /usr/include/bits/stdio_lim.h /usr/include/stdlib.h
+img.o: /usr/include/alloca.h /usr/include/string.h driftnet.h
+img.o: /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h
+img.o: /usr/include/bits/endian.h /usr/include/sys/select.h
+img.o: /usr/include/bits/select.h /usr/include/bits/sigset.h
+img.o: /usr/include/bits/time.h /usr/include/sys/sysmacros.h
+img.o: /usr/include/sys/socket.h /usr/include/sys/uio.h
+img.o: /usr/include/bits/uio.h /usr/include/bits/socket.h
+img.o: /usr/include/limits.h
+img.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/limits.h
+img.o: /usr/include/bits/sockaddr.h /usr/include/asm/socket.h
+img.o: /usr/include/asm/sockios.h /usr/include/netinet/in.h
+img.o: /usr/include/stdint.h /usr/include/bits/wordsize.h
+img.o: /usr/include/bits/in.h /usr/include/bits/byteswap.h
+img.o: /usr/include/arpa/inet.h /usr/include/sys/time.h img.h endianness.h
+jpeg.o: /usr/include/stdio.h /usr/include/features.h /usr/include/sys/cdefs.h
+jpeg.o: /usr/include/gnu/stubs.h
+jpeg.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h
+jpeg.o: /usr/include/bits/types.h /usr/include/libio.h
+jpeg.o: /usr/include/_G_config.h /usr/include/wchar.h
+jpeg.o: /usr/include/bits/wchar.h /usr/include/gconv.h
+jpeg.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+jpeg.o: /usr/include/bits/stdio_lim.h /usr/include/stdlib.h
+jpeg.o: /usr/include/alloca.h /usr/include/setjmp.h
+jpeg.o: /usr/include/bits/setjmp.h /usr/include/bits/sigset.h
+jpeg.o: /usr/include/jpeglib.h /usr/include/jconfig.h /usr/include/jmorecfg.h
+jpeg.o: driftnet.h /usr/include/sys/types.h /usr/include/time.h
+jpeg.o: /usr/include/endian.h /usr/include/bits/endian.h
+jpeg.o: /usr/include/sys/select.h /usr/include/bits/select.h
+jpeg.o: /usr/include/bits/time.h /usr/include/sys/sysmacros.h
+jpeg.o: /usr/include/sys/socket.h /usr/include/sys/uio.h
+jpeg.o: /usr/include/bits/uio.h /usr/include/bits/socket.h
+jpeg.o: /usr/include/limits.h
+jpeg.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/limits.h
+jpeg.o: /usr/include/bits/sockaddr.h /usr/include/asm/socket.h
+jpeg.o: /usr/include/asm/sockios.h /usr/include/netinet/in.h
+jpeg.o: /usr/include/stdint.h /usr/include/bits/wordsize.h
+jpeg.o: /usr/include/bits/in.h /usr/include/bits/byteswap.h
+jpeg.o: /usr/include/arpa/inet.h /usr/include/sys/time.h img.h endianness.h
+png.o: /usr/include/png.h /usr/include/zlib.h /usr/include/zconf.h
+png.o: /usr/include/pngconf.h /usr/include/stdio.h /usr/include/features.h
+png.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
+png.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h
+png.o: /usr/include/bits/types.h /usr/include/libio.h
+png.o: /usr/include/_G_config.h /usr/include/wchar.h
+png.o: /usr/include/bits/wchar.h /usr/include/gconv.h
+png.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+png.o: /usr/include/bits/stdio_lim.h /usr/include/sys/types.h
+png.o: /usr/include/time.h /usr/include/endian.h /usr/include/bits/endian.h
+png.o: /usr/include/sys/select.h /usr/include/bits/select.h
+png.o: /usr/include/bits/sigset.h /usr/include/bits/time.h
+png.o: /usr/include/sys/sysmacros.h /usr/include/setjmp.h
+png.o: /usr/include/bits/setjmp.h /usr/include/string.h img.h
+png.o: /usr/include/stdint.h /usr/include/bits/wordsize.h endianness.h
+driftnet.o: /usr/include/assert.h /usr/include/features.h
+driftnet.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
+driftnet.o: /usr/include/dirent.h /usr/include/bits/types.h
+driftnet.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h
+driftnet.o: /usr/include/bits/dirent.h /usr/include/bits/posix1_lim.h
+driftnet.o: /usr/include/bits/local_lim.h /usr/include/linux/limits.h
+driftnet.o: /usr/include/errno.h /usr/include/bits/errno.h
+driftnet.o: /usr/include/linux/errno.h /usr/include/asm/errno.h
+driftnet.o: /usr/include/pcap/pcap.h /usr/include/sys/types.h
+driftnet.o: /usr/include/time.h /usr/include/endian.h
+driftnet.o: /usr/include/bits/endian.h /usr/include/sys/select.h
+driftnet.o: /usr/include/bits/select.h /usr/include/bits/sigset.h
+driftnet.o: /usr/include/bits/time.h /usr/include/sys/sysmacros.h
+driftnet.o: /usr/include/sys/time.h /usr/include/pcap/net/bpf.h
+driftnet.o: /usr/include/stdio.h /usr/include/libio.h
+driftnet.o: /usr/include/_G_config.h /usr/include/wchar.h
+driftnet.o: /usr/include/bits/wchar.h /usr/include/gconv.h
+driftnet.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stdarg.h
+driftnet.o: /usr/include/bits/stdio_lim.h /usr/include/netinet/in.h
+driftnet.o: /usr/include/stdint.h /usr/include/bits/wordsize.h
+driftnet.o: /usr/include/bits/socket.h /usr/include/limits.h
+driftnet.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/limits.h
+driftnet.o: /usr/include/bits/sockaddr.h /usr/include/asm/socket.h
+driftnet.o: /usr/include/asm/sockios.h /usr/include/bits/in.h
+driftnet.o: /usr/include/bits/byteswap.h /usr/include/arpa/inet.h
+driftnet.o: /usr/include/netinet/in_systm.h /usr/include/netinet/ip.h
+driftnet.o: /usr/include/netinet/tcp.h /usr/include/ctype.h
+driftnet.o: /usr/include/fcntl.h /usr/include/bits/fcntl.h
+driftnet.o: /usr/include/pthread.h /usr/include/sched.h
+driftnet.o: /usr/include/bits/sched.h /usr/include/signal.h
+driftnet.o: /usr/include/bits/pthreadtypes.h /usr/include/bits/initspin.h
+driftnet.o: /usr/include/bits/sigthread.h /usr/include/stdlib.h
+driftnet.o: /usr/include/alloca.h /usr/include/string.h /usr/include/unistd.h
+driftnet.o: /usr/include/bits/posix_opt.h /usr/include/bits/confname.h
+driftnet.o: /usr/include/sys/stat.h /usr/include/bits/stat.h
+driftnet.o: /usr/include/sys/wait.h /usr/include/sys/resource.h
+driftnet.o: /usr/include/bits/resource.h /usr/include/bits/waitflags.h
+driftnet.o: /usr/include/bits/waitstatus.h driftnet.h
+driftnet.o: /usr/include/sys/socket.h /usr/include/sys/uio.h
+driftnet.o: /usr/include/bits/uio.h
+image.o: /usr/include/stdio.h /usr/include/features.h
+image.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
+image.o: /usr/lib/gcc-lib/i386-redhat-linux/2.96/include/stddef.h

=== debian/changelog ===
driftnet (0.1.6+cvs20040426-3) unstable; urgency=low

  * Fix some typos in the previous changelog
  * Lowercase the short description of the package

 -- David Suarez <david.sephirot@gmail.com>  Fri, 29 Jun 2012 19:37:20 +0200

driftnet (0.1.6+cvs20040426-1) unstable; urgency=low

  * Imported Upstream version 0.1.6+cvs20040426
  * New maintainer (closes: #616451)
  * Fix memstr() implementation to work on 64bit systems (closes: #677623)
  * Make driftnet read from pcap file (closes: #647949)
  * Replace libpng12-dev build-dep with libpng-dev (closes: #662304)
  * Update standards version 3.9.3
  * Update debhelper version 9.0
  * Switch to dpkg-source 3.0 (quilt) format
  * Do not delete temporary files in adjunct mode as specified in help
  * Fix ifndef hiding needed values for non-gtk operation
  * Prevent backtrace due to unneccessary xfree on tmpdir
  * Update man file

 -- David Suarez <david.sephirot@gmail.com>  Fri, 22 Jun 2012 04:24:20 +0200

driftnet (0.1.6-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libjpeg62-dev build-dep with libjpeg-dev (closes: #641109)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 17:01:34 +0100

driftnet (0.1.6-9) unstable; urgency=low

  * Deal with libpng errors more gracefully (closes: #494750)
    [Patch kindly provided by Adam Sjøgren]

 -- Christoph Haas <haas@debian.org>  Fri, 15 Aug 2008 23:28:25 +0200

driftnet (0.1.6-8) unstable; urgency=low

  * Fixed desktop and menu file
  * Patched the build system (from Ubuntu patch) (closes: #459799)
  * New policy/standards version 3.7.3

 -- Christoph Haas <haas@debian.org>  Sat, 09 Feb 2008 10:24:57 +0100

driftnet (0.1.6-7) unstable; urgency=low

  * New maintainer. (closes: #390820)

 -- Christoph Haas <haas@debian.org>  Tue, 10 Oct 2006 21:49:35 +0200

driftnet (0.1.6-6) unstable; urgency=low

  * Added .desktop file, from Ubuntu.
    (Closes: #375511)

 -- Steve Kemp <skx@debian.org>  Thu,  26 June 2006 16:12:04 +0000

driftnet (0.1.6-5) unstable; urgency=low

  * Make sure each image file is closed after loading.
    (Closes: #337400)
  * Updated standards version to 3.7.2, no changes.

 -- Steve Kemp <skx@debian.org>  Thu,  12 May 2006 15:57:43 +0000

driftnet (0.1.6-4) unstable; urgency=low

  * More changes from Eric Cooper:
     * Fixed button_press/release code that broke with gtk2
     * Added support for PNG image capture (Closes: #301695)

 -- Steve Kemp <skx@debian.org>  Thu,  11 Aug 2005 06:54:36 +0000

driftnet (0.1.6-3) unstable; urgency=low

  * Standards-Version 3.6.2
  * Use gtk2
  * Use mkdtemp instead of insecure tmpnam
  * Minor changes to avoid gcc warnings

 -- Eric Cooper <ecc@cmu.edu>  Sat,  6 Aug 2005 16:10:40 -0400

driftnet (0.1.6-2) unstable; urgency=low

  * New maintainer.
  * Updated standards version to 3.6.1
    (The only necessary change was to quote some entries in the menu file).

 -- Steve Kemp <skx@debian.org>  Wed, 23 Jun 2004 11:38:21 +0000

driftnet (0.1.6-1) unstable; urgency=low

  * New upstream version. (closes: #154566)
  * Roll in changes from NMU (closes: #166475, #156195).
  * New Standards-Version 3.5.8.

 -- Ian Eure <ieure@debian.org>  Thu, 20 Feb 2003 13:49:11 -0800

driftnet (0.1.4-5.2) unstable; urgency=low

  * NMU 
  * Build against libungif4. (closes: #166475)

 -- Michael Fedrowitz <michaelf@debian.org>  Sun, 24 Nov 2002 22:52:32 +0100

driftnet (0.1.4-5.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:49 +0200

driftnet (0.1.4-5) unstable; urgency=low

  * Fix manpage. (Closes: #150601)

 -- Ian Eure <ieure@debian.org>  Mon, 24 Jun 2002 09:53:59 -0700

driftnet (0.1.4-4) unstable; urgency=low

  * add menu entry.
  * remove debian/*.ex files.

 -- Ian Eure <ieure@debian.org>  Wed, 28 Nov 2001 14:58:03 -0800

driftnet (0.1.4-3) unstable; urgency=low

  * apply patch to fix int != char problem on ppc. (closes: #112925) 

 -- Ian Eure <ieure@debian.org>  Fri, 12 Oct 2001 18:50:10 -0700

driftnet (0.1.4-2) unstable; urgency=low

  * add xutils to build-depends. (closes: #111865)

 -- Ian Eure <ieure@debian.org>  Wed, 12 Sep 2001 15:12:39 -0700

driftnet (0.1.4-1) unstable; urgency=low

  * new upstream release (closes: #111940)

 -- Ian Eure <ieure@debian.org>  Tue, 11 Sep 2001 02:52:04 -0700

driftnet (0.1.3-2) unstable; urgency=low

  * fix build-depends to include xlibs-dev. he he, whoops.
		(closes: #111865)

 -- Ian Eure <ieure@debian.org>  Mon, 10 Sep 2001 14:51:37 -0700

driftnet (0.1.3-1) unstable; urgency=low

  * Initial Release. (closes: #110904)

 -- Ian Eure <ieure@debian.org>  Mon,  3 Sep 2001 17:12:09 -0700

=== debian/control ===
Source: driftnet
Section: admin
Priority: extra
Maintainer: David Suarez <david.sephirot@gmail.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libpcap-dev, libjpeg-dev, libgif-dev, libpng-dev, xutils-dev
Standards-Version: 3.9.3
Homepage: http://www.ex-parrot.com/~chris/driftnet/

Package: driftnet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: picks out and displays images from network traffic
 Inspired by EtherPEG, Driftnet is a program which listens to network
 traffic and picks out images from TCP streams it observes. It is
 interesting to run it on a host which sees a lot of web traffic.
 .
 (Obviously, this is an invasion of privacy of a fairly blatant sort.
 Also, if you are possessed of Victorian sensibilities, and share an
 unswitched network with others who are not, you should probably not
 use it.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	# The makefile dont have install target. Install by hand.
	dh_install driftnet usr/bin
	dh_install debian/driftnet.desktop /usr/share/applications

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
SWVERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: (.*)[+~]cvs([0-9]+)\-([0-9]+),\1,p')
CVSDATE=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: (.*)[+~]cvs([0-9]+)\-([0-9]+),\2,p')
TARFILE=driftnet_$(SWVERSION)+cvs$(CVSDATE).orig.tar.bz2
CVSHOME=:pserver:anonymous@sphinx.mythic-beasts.com:/home/chris/vcvs/repos
EXPORTDIR=driftnet_$(SWVERSION)+cvs$(CVSDATE).orig

get-orig-source:
	cvs -d$(CVSHOME) login
	cvs -d$(CVSHOME) export -f -D "$(shell expr $(CVSDATE) + 1)" -d $(EXPORTDIR) driftnet
	tar -c ./$(EXPORTDIR) | bzip2 -9 > $(CURDIR)/$(TARFILE)
	rm -rf $(CURDIR)/$(EXPORTDIR)

=== debian/watch ===
# This package is currently built from a cvs repository, so no
# non-trivial watch file is possible
#
# version=3

## driftnet 1.0

=== debian/changelog ===
driftnet (1.0) fremantle; urgency=low

  * Initial release

 -- Karam Baki <karam.baki@gmail.com>  Mon, 13 Feb 2012 04:19:32 +0300

=== debian/control ===
Source: driftnet
Section: user/network
Priority: optional
Build-Depends: 
Maintainer: Karam Baki <karam.baki@gmail.com>
Standards-Version: 1.0
XSBC-Bugtracker: mailto:karam.baki@gmail.com

Package: driftnet
Architecture: armel
Depends: libjpeg7, libgif4, libpcap0.8
Description: drifnet
 Inspired by EtherPEG
 Driftnet is a program which listens to network traffic and picks out
 images from TCP streams it observes.
 It is interesting to run it on a host which sees a lot of web traffic.
XB-Maemo-Display-Name: Driftnet images sniffing tool
XSBC-Bugtracker: mailto:karam.baki@gmail.com

## driftnet 1.1

=== debian/changelog ===
driftnet (1.1) fremantle; urgency=low

  * Typo!!!

 -- Karam Baki <karam.baki@gmail.com>  Tue, 14 Feb 2012 02:35:15 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: 
 Maintainer: Karam Baki <karam.baki@gmail.com>
-Standards-Version: 1.0
+Standards-Version: 1.1
 XSBC-Bugtracker: mailto:karam.baki@gmail.com
 
 Package: driftnet

## driftnet 1.1.2

=== debian/changelog ===
driftnet (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * Now builds with clang

 -- David Suarez <david.sephirot@gmail.com>  Thu, 12 Sep 2013 19:33:25 +0200

driftnet (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Now builds on kfreebsd

 -- David Suarez <david.sephirot@gmail.com>  Mon, 15 Jul 2013 22:54:19 +0200

driftnet (1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1
  * Add support for radiopacket and 802.11 headers
  * Remove 'all rights reserved' from source files
  * Update copyright file

 -- David Suarez <david.sephirot@gmail.com>  Wed, 26 Jun 2013 20:45:36 +0200

driftnet (1.0-1) unstable; urgency=low

  * Add support for IPV6 and PNG (closes: #608369)
  * Add a working uscan file
  * Update standards version 3.9.4
  * Add control file Vcs-* headers to point to git repository
  * Change the initial size of main window

 -- David Suarez <david.sephirot@gmail.com>  Sun, 12 May 2013 19:37:20 +0200

=== debian/control ===
Source: driftnet
Section: admin
Priority: extra
Maintainer: David Suarez <david.sephirot@gmail.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libpcap-dev, libjpeg-dev, libgif-dev, libpng-dev, xutils-dev
Standards-Version: 3.9.4
Homepage: https://github.com/deiv/driftnet
Vcs-Browser: https://github.com/deiv/driftnet
Vcs-Git: git://github.com/deiv/driftnet.git -b debian

Package: driftnet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: picks out and displays images from network traffic
 Inspired by EtherPEG, Driftnet is a program which listens to network
 traffic and picks out images from TCP streams it observes. It is
 interesting to run it on a host which sees a lot of web traffic.
 .
 (Obviously, this is an invasion of privacy of a fairly blatant sort.
 Also, if you are possessed of Victorian sensibilities, and share an
 unswitched network with others who are not, you should probably not
 use it.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	dh_install debian/driftnet.desktop /usr/share/applications

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
SWVERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: (.*)(\-[0-9])?,\1,p')
TARFILE=driftnet_$(SWVERSION).orig.tar.bz2
TARBALL=https://github.com/deiv/driftnet/archive/upstream/$(SWVERSION).tar.gz

get-orig-source:
	wget $(TARBALL) -O $(TARFILE)

=== debian/watch ===
# This package is currently built from a cvs repository, so no
# non-trivial watch file is possible
#

version=3
https://github.com/deiv/driftnet/tags .*/v?(\d[\d\.]+)\.tar\.gz

## driftnet 1.1.3

=== debian/changelog ===
driftnet (1.1.3-1) unstable; urgency=medium

  * Imported Upstream version 1.1.3 (Closes: #741892)
  * Update standards version; no changes needed
  * Add keywords entry to desktop file
  * debian/changelog: default to medium urgency

 -- David Suarez <david.sephirot@gmail.com>  Sat, 22 Mar 2014 13:51:32 +0100

## driftnet 1.1.5

=== debian/changelog ===
driftnet (1.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803277.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 04:34:48 +0000

driftnet (1.1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.1.5
    Fix kfreebsd builds

 -- David Suarez <david.sephirot@gmail.com>  Sun, 14 Sep 2014 21:18:08 +0200

driftnet (1.1.4-1) unstable; urgency=medium

  * Imported Upstream version 1.1.4

 -- David Suarez <david.sephirot@gmail.com>  Mon, 08 Sep 2014 21:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: David Suarez <david.sephirot@gmail.com>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libpcap-dev, libjpeg-dev, libgif-dev, libpng-dev, xutils-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/deiv/driftnet
 Vcs-Browser: https://github.com/deiv/driftnet
 Vcs-Git: git://github.com/deiv/driftnet.git -b debian

## driftnet 1.2

=== debian/changelog ===
driftnet (1.2) fremantle; urgency=low

  * Permissions

 -- Karam Baki <karam.baki@gmail.com>  Sat, 25 Feb 2012 02:28:00 +0300

=== debian/control ===
Source: driftnet
Section: user/network
Priority: optional
Build-Depends: 
Maintainer: Karam Baki <karam.baki@gmail.com>
Standards-Version: 1.2
XSBC-Bugtracker: mailto:karam.baki@gmail.com

Package: driftnet
Architecture: armel
Depends: libjpeg7, libgif4, libpcap0.8
Description: drifnet
 Inspired by EtherPEG
 Driftnet is a program which listens to network traffic and picks out
 images from TCP streams it observes.
 It is interesting to run it on a host which sees a lot of web traffic.
XB-Maemo-Display-Name: Driftnet images sniffing tool
XSBC-Bugtracker: mailto:karam.baki@gmail.com

## driftnet 1.3.0%2Bdfsg

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?(\d[\d\.]+)\.tar\.gz/drifnet-$1.tar.gz/ \
 https://github.com/deiv/driftnet/tags .*/v?(\d[\d\.]+)\.tar\.gz

## driftnet 1.3.0+dfsg

=== debian/changelog ===
driftnet (1.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- David Suarez <david.sephirot@gmail.com>  Wed, 08 Jan 2020 18:25:00 +0100

driftnet (1.3.0+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 1.3.0
  * d/copyright:
    - Add 'Files-Excluded' field for repackaging purpouses.
  * d/control:
    - Add libjs-{jquery, lightbox2} as build/runtime depends.
  * d/changelog: remove trailing whitespace.
  * d/rules:
    - Improve rules to adapt to use javascript system resources.
  * d/watch:
    - Update version.
    - Repack to remove javascript minimized files.
  * Add d/links to create necessary soft links to javascript resources.

 -- David Suarez <david.sephirot@gmail.com>  Sun, 15 Dec 2019 18:27:07 +0100

driftnet (1.2.1-1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.

  [ David Suárez ]
  * Imported Upstream version 1.2.1
  * Remove menu file (a desktop one is provided).
  * Build with dh-autoreconf.
  * d/copyright:
    - Update copyright years.
    - Use secure protocol for format URL.
    - Wrap and sort.
    - Add 'Upstream-Contact' field.
  * d/control:
    - Change priority to optional.
    - Remove obsolete build depends.
    - Add libwebsockets as build depend.
    - Update standards version; no changes needed.
    - Remove useless dh-autoreconf build depend.
    - Wrap and sort.
    - Add libcmocka as build depends.
    - Add field 'Rules-Requires-Root'.
  * d/driftnet.docs: sync with README update to markdown format.
  * Remove 'single-debian-patch' option.
  * d/missing-sources:
    - Add sources for jquery.js.
    - Add sources for lightbox.min.js.
  * d/changelog: remove trailing whitespace.
  * Bump debhelper from 9 to 12.
  * d/rules: remove 'get-orig-source' rule.
  * Add upstream/metadata.

 -- David Suarez <david.sephirot@gmail.com>  Sun, 20 Oct 2019 19:36:05 +0200

=== debian/control ===
Source: driftnet
Section: admin
Priority: optional
Maintainer: David Suarez <david.sephirot@gmail.com>
Build-Depends: debhelper-compat (= 12),
               libcmocka-dev,
               libgif-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libjs-jquery (>= 3.3.1~dfsg),
               libjs-lightbox2  (>= 2.11.1+dfsg),
               libpcap-dev,
               libpng-dev,
               libwebsockets-dev (>= 3.2.0)
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/deiv/driftnet
Vcs-Browser: https://github.com/deiv/driftnet
Vcs-Git: https://github.com/deiv/driftnet.git -b debian

Package: driftnet
Architecture: any
Depends: libjs-jquery (>= 3.3.1~dfsg),
         libjs-lightbox2 (>= 2.11.1+dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Description: picks out and displays images from network traffic
 Inspired by EtherPEG, Driftnet is a program which listens to network
 traffic and picks out images from TCP streams it observes. It is
 interesting to run it on a host which sees a lot of web traffic.
 .
 (Obviously, this is an invasion of privacy of a fairly blatant sort.
 Also, if you are possessed of Victorian sensibilities, and share an
 unswitched network with others who are not, you should probably not
 use it.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_build:
    #
	# Create links against debian packaged javascripts files to generate the list of needed resources during build.
	#
	ln -s /usr/share/javascript/jquery/jquery.min.js src/http_display/static_web
	ln -s /usr/share/javascript/libjs-lightbox2/js/lightbox.min.js src/http_display/static_web
	ln -s /usr/share/javascript/libjs-lightbox2/css/lightbox.min.css src/http_display/static_web
	ln -s /usr/share/javascript/libjs-lightbox2/images/close.png src/http_display/static_web
	ln -s /usr/share/javascript/libjs-lightbox2/images/loading.gif src/http_display/static_web
	ln -s /usr/share/javascript/libjs-lightbox2/images/next.png src/http_display/static_web
	ln -s /usr/share/javascript/libjs-lightbox2/images/prev.png src/http_display/static_web
	dh_auto_build

override_dh_install:
	dh_install debian/driftnet.desktop /usr/share/applications
	#
	# Remove installed javascript related files - they are copied as regular files not as links.
	# The links will be generated by d/driftnet.links
	#
	rm -f debian/driftnet/usr/share/driftnet/static-html/*.js
	rm -f debian/driftnet/usr/share/driftnet/static-html/*.css
	rm -f debian/driftnet/usr/share/driftnet/static-html/*.png
	rm -f debian/driftnet/usr/share/driftnet/static-html/*.gif

override_dh_clean:
	rm -f src/http_display/static_web/*.js
	rm -f src/http_display/static_web/*.css
	rm -f src/http_display/static_web/*.png
	rm -f src/http_display/static_web/*.gif
	dh_clean

## driftnet 1.4.0

=== debian/changelog ===
driftnet (1.4.0-2) unstable; urgency=medium

  * Bump debhelper compat.
  * Disable tests for s390x.

 -- David Suárez <deiv@debian.org>  Mon, 19 Dec 2022 19:45:39 +0100

driftnet (1.4.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1018734).
  * d/copyright:
    - Remove 'Files-Excluded' field, dfsg not required anymore.
    - Update copyright years.
  * d/control:
    - Remove libjs-{jquery, lightbox2} as build/runtime depends.
    - Add libwebp build depend.
    - Update standards version; no changes needed.
    - Use debian mail for Maintainer.
  * Add d/gbp.conf.
  * Override source-is-missing for index.html file.

 -- David Suárez <deiv@debian.org>  Fri, 16 Dec 2022 20:11:25 +0100

=== debian/control ===
Source: driftnet
Section: admin
Priority: optional
Maintainer: David Suárez <deiv@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcmocka-dev,
               libgif-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpcap-dev,
               libpng-dev,
               libwebsockets-dev (>= 3.2.0),
               libwebp-dev
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/deiv/driftnet
Vcs-Browser: https://github.com/deiv/driftnet
Vcs-Git: https://github.com/deiv/driftnet.git -b debian

Package: driftnet
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: picks out and displays images from network traffic
 Inspired by EtherPEG, Driftnet is a program which listens to network
 traffic and picks out images from TCP streams it observes. It is
 interesting to run it on a host which sees a lot of web traffic.
 .
 (Obviously, this is an invasion of privacy of a fairly blatant sort.
 Also, if you are possessed of Victorian sensibilities, and share an
 unswitched network with others who are not, you should probably not
 use it.)

## driftnet 1.5.0

=== debian/changelog ===
driftnet (1.5.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096547)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 Sep 2025 15:43:47 +0300

driftnet (1.5.0-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Patch: Recover else clause in endianess if (Closes: #1053612)
  * d/watch: Terminate opts before URL

 -- Bastian Germann <bage@debian.org>  Sat, 07 Oct 2023 13:31:13 +0000

driftnet (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.5.0 (Closes: #1050385)
  * Drop incorrect filenamemangle
  * Build with GTK 3 (Closes: #967319)

 -- Bastian Germann <bage@debian.org>  Fri, 22 Sep 2023 20:35:48 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                libcmocka-dev,
                libgif-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libjpeg-dev,
                libpcap-dev,
                libpng-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install debian/driftnet.desktop /usr/share/applications

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
ifeq (, $(filter s390x, $(DEB_HOST_ARCH)))
	make check
endif
endif

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=auto \
 https://github.com/deiv/driftnet/tags .*/v?(\d[\d\.]+)\.tar\.gz
